<?php
// $Id: news_topics.php,v 1.1 2004/07/11 10:28:40 Farsus Exp $
// -------------------------------------------------------------------------//
//			                 RUNCMS                                         //
//                                                                          //
//	 reliable - Unique - Nocost &  Simplicity & ease off use                //
//                       < http://www.runcms.org >                          //
// -------------------------------------------------------------------------//
// Original Author: The Xoops Project
// Author Website : http://www.xoops.org
// License Type   : GPL: See /manual/LICENSES/GPL.txt
// ------------------------------------------------------------------------- //

function b_news_topics_show() {
global $db, $storytopic;

include_once(XOOPS_ROOT_PATH."/class/xoopstopic.php");

$block = array();
$block['title']   = _MB_NEWS_TITLE3;
$block['content'] = "<div align='center'><form name='newstopicform' action='".XOOPS_URL."/modules/news/index.php' method='get'>\n";

$xt         = new XoopsTopic($db->prefix("topics"));
$jump       = XOOPS_URL."/modules/news/index.php?storytopic=";
$storytopic = !empty($storytopic) ? intval($storytopic) : 0;

ob_start();
$xt->makeTopicSelBox(1, $storytopic, "storytopic", "location.href=\"".$jump."\"+this.options[this.selectedIndex].value");
$content = ob_get_contents();
ob_end_clean();

$block['content'] .= $content."</form></div>";

return $block;
}
?>
